<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class Prescribemedicine extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prescribemedicine', function(Blueprint $table)
        {
            $table->increments('id');
            $table->char('patient_id', 36);
            $table->integer('appointment_id');
            $table->integer('billing_id');
            $table->integer('parent_id')->default(0);
            $table->integer('medicine_serial_no');
            $table->integer('medicine_id');
            $table->string('medicine_name');
            $table->integer('potency_id');
            $table->string('potency_name');
            $table->integer('dilution');
            $table->string('dilution_name');
            $table->integer('form_id');
            $table->string('form_name');
            $table->string('form_code');
            $table->float('form_rate', 8, 2);
            $table->integer('group_id');
            $table->integer('factor');
            $table->float('medicine_amount', 8, 2);
            $table->integer('instruction_id');
            $table->string('instruction_name');
            $table->string('midicine_type', 50);
            $table->string('instruction_other_value',225);
            $table->integer('created_by');
            $table->timestamp('creation_date');
            $table->integer('modified_by');
            $table->timestamp('modification_date');
            $table->enum('status', ['0', '1', '2'])->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('prescribemedicine');
    }
}
