<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
class Payment extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment', function(Blueprint $table)
        {
            $table->increments('id');
            $table->char('patient_id', 36);
            $table->integer('appointment_id')->unsigned();
            $table->integer('billing_id')->unsigned();
            $table->float('visit_due_amount', 8, 2);
            $table->float('previous_due_amount', 8, 2);
            $table->float('due_amount', 8, 2);
            $table->float('credit_amount', 8, 2);
            $table->float('debit_amount', 8, 2);
            $table->float('waive_pending_amount', 8, 2);
            $table->float('total_due_amount', 8, 2);
            $table->float('recieved_amount', 8, 2);
            $table->string('card_transaction_Id', 200);
            $table->string('transaction_mode', 100);
            $table->string('remark');
            $table->dateTime('transaction_time');
            $table->integer('created_by');
            $table->timestamp('creation_date');
            $table->integer('modified_by');
            $table->timestamp('modification_date');
            $table->enum('transaction_status', ['Credit','Debit']);
            $table->enum('status', ['0','1','2'])->default(1);
            $table->foreign('billing_id')->references('id')->on('billing');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('payment');
    }
}
