<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class DiscountMapping extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('discount_mappings', function (Blueprint $table) {
			$table->increments('id');
			$table->integer('category_id')->unsigned();
			$table->integer('charge_id')->unsigned();
			$table->string('charge_code', 3);
			$table->foreign('charge_id')->references('id')->on('charges');
			$table->foreign('charge_code')->references('charge_code')->on('charges');
			$table->foreign('category_id')->references('id')->on('discount_categories');
			$table->integer('percentage')->unsigned();
			$table->text('description');
			$table->integer('created_by');
			$table->timestamp('creation_date_on');
			$table->integer('modified_by');
			$table->timestamp('modification_date');
			$table->enum('status', ['0', '1', '2'])->default(1);
			
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('discount_mappings');
    }
}
