<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClCityTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cl_city', function (Blueprint $table) {
            $table->increments('id');
            $table->string('city_name', 255);
            $table->integer('state_id');
            $table->integer('country_id');
            $table->dateTime('creation_date');
            $table->integer('created_by');
            $table->dateTime('modification_date');
            $table->integer('modified_by');
            $table->enum('status', ['0', '1', '2']);
            $table->integer('old_id');
            $table->index(['state_id'], 'state_id');
            $table->index(['country_id'], 'country_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cl_city');
    }
}
